Support » Plugin: Polldaddy Polls & Ratings » Deprecated code

  • Resolved Till Krüss

    (@tillkruess)


    I’m getting a few deprecated calls:

    Deprecated: Assigning the return value of new by reference is deprecated in /polldaddy/polldaddy-xml.php on line 743

    Notice: attribute_escape is <strong>deprecated</strong> since version 2.8! Use esc_attr() instead.

    http://wordpress.org/extend/plugins/polldaddy/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Till Krüss

    (@tillkruess)

    I made a patch that fixes the deprecated function calls, removed the PHP4 idiom, prevented another undefined variable notice and fixed a few visual glitches: http://cl.ly/code/4112171Q3q1S

    Plugin Author Donncha O Caoimh

    (@donncha)

    Thanks @till, fixing those has been on the todo list for quite some time!

    Plugin Author Donncha O Caoimh

    (@donncha)

    And I’ve just checked those most of those changes into trunk. I’ve left the CSS ones as I have to investigate what each one does.

    Hopefully we’ll get a new release out this week. Thanks for your help!

    Till Krüss

    (@tillkruess)

    The CSS changes are based on WP 3.6 and are: 1) hide #wpfooter and adjust margins in iframe/popup 2) corrected visual glitches of the answer options in the “save” meta box 3) removed fixed height of the “poll style” box

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Deprecated code’ is closed to new replies.